/*
 * @Description:5 * @Date: 2020-06-03 09:32:04
 * @Author: 吳星萍 iris@e-besthealth.com
 * @LastEditors: 吳星萍 iris@e-besthealth.com
 * @LastEditTime: 2020-06-19 11:16:29
 * @copyright: BEST HEALTH ELECTRONIC INC (c) 2019
 */
#include "common.h"
u32 VBAT;
bit VBAT_flag=0;
void main()
{
	// 判斷是否為上電復位或者非正常情況下的復位
	// 如果是上電復位，執行上電復位初始化，反之執行WDT溢出初始化
	if (_to == 0 || _pdf ==0)
	{
		// System
		Drv_SysClockInit();
		Drv_RamInit();
		SET_WDTTIME_125MS();
		SET_LVR_1V9();
		// LVD demo 
		SET_LVD_2V7();
		SET_LVD_Enable();
	}
	else
	{
		// WDT溢出復位初始化
		GCC_CLRWDT();

	}

	//主循環
	while(1)
	{
		GCC_CLRWDT();
		// 電池電壓檢測 demo  
		//Vlow=4V,VABT=1/4Vlow
		VBAT=Drv_LVD();
		if(VBAT<1000)
		{
			//user code
			VBAT_flag=1;
			GCC_CLRWDT();
		}

	}
}